Sign in to follow this  
Airwolf05

Installing 737NGX into FSX Steam

Recommended Posts

Has anybody get any errors installing NGX into FSX Steam where theres no power to the CDU's and no function to the Overhead switches?

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

not yet support, try at own risk, better wait for proper installer, later not encounter much problem with registry.

Share this post


Link to post
Share on other sites

Has anybody get any errors installing NGX into FSX Steam where theres no power to the CDU's and no function to the Overhead switches?

 

The existing NGX installer was not designed to work with FSX SE. We're working on getting a new installer out soon (like we did with the 777).

 

Also, welcome to the forum. It's a forum requirement here to sign your full name to your posts. Please do so in the future.

Share this post


Link to post
Share on other sites

I am trying, YES I know I'm VERY TRYING. I have tried different channels on Avsim and lately I get more irritated because of my lack of comprehension. I keep reading something new and today is no exception.

 

Okay let me lay it out.

 

I purchased the Aerosoft PMDG 737 NGX from a retailer  and I didn't know whether the variants included were for 600 through 900 as the description gave nothing away in the store(From neither store at other well known outlets also).

 

Now I have found out that Aerosoft has published information of SP1c updates for the 737 NGX. Looking through ALL of the other outlets, Aerosoft and PMDG has the Base Package as well as an Expansion Pack to boot. Do I understand that my version, of which after reading the Read Me before attempting install, is the Base Package because I found out that the boxed version included the 800/900 variants?

 

I sat back and thought this through and I came to the conclusion that I might have to purchase the Base Pack as well as the Expansion pack just to be on the safe side knowing I had what was needed.. All this was because of one line in the Read Me stated that I should have the Base Pack installed before installing the updates.

 

Am I to spin in ever decreasing circles before I fully understand what my options are? I need to know which ever way on what is what and what I should do.

 

I would hate to think what would happen if I installed my boxed version and the purchased the updates only to find that the installer couldn't find the Base package. But then again as I looked at the cost of the Base package it was the same price as my boxed version, and that was what led me to believe I had the Base Package.

 

Hope I make sense or if this isn't resolved I will have loads of software on my hands going to waste and I will give up the idea of running my FSX Steam Edition.

 

 

Roger

Share this post


Link to post
Share on other sites

I am trying, YES I know I'm VERY TRYING. I have tried different channels on Avsim and lately I get more irritated because of my lack of comprehension. I keep reading something new and today is no exception.

 

Okay let me lay it out.

 

I purchased the Aerosoft PMDG 737 NGX from a retailer  and I didn't know whether the variants included were for 600 through 900 as the description gave nothing away in the store(From neither store at other well known outlets also).

 

Now I have found out that Aerosoft has published information of SP1c updates for the 737 NGX. Looking through ALL of the other outlets, Aerosoft and PMDG has the Base Package as well as an Expansion Pack to boot. Do I understand that my version, of which after reading the Read Me before attempting install, is the Base Package because I found out that the boxed version included the 800/900 variants?

 

I sat back and thought this through and I came to the conclusion that I might have to purchase the Base Pack as well as the Expansion pack just to be on the safe side knowing I had what was needed.. All this was because of one line in the Read Me stated that I should have the Base Pack installed before installing the updates.

 

Am I to spin in ever decreasing circles before I fully understand what my options are? I need to know which ever way on what is what and what I should do.

 

I would hate to think what would happen if I installed my boxed version and the purchased the updates only to find that the installer couldn't find the Base package. But then again as I looked at the cost of the Base package it was the same price as my boxed version, and that was what led me to believe I had the Base Package.

 

Hope I make sense or if this isn't resolved I will have loads of software on my hands going to waste and I will give up the idea of running my FSX Steam Edition.

 

 

Roger

 

Easy easy old man....

 

The boxed version of the PMDG 737NGX    IS NOT FSX:SE compatible!     in other words - it will not work in FSX Steam edition - at this very moment!

 

kind regards

Share this post


Link to post
Share on other sites

Aerosioft has released the updates for FSX Steam. Add-ons will work if the right installers are released. They are slowly doing this as with the 777 too. Keep up with the news...young man lol.

 

Why do you think I am chasing this so much? I have been tearing my hair out ever since purchasing the Steam edition and what followed after with the confusing issues with installers and where to get them from.

Share this post


Link to post
Share on other sites

Sorry man,

 

Anyhow - the PMDG 737NGX - which is the Aircraft Aerosoft is selling in the boxed edition, is not yet compatible with FSX:SE. And It does not only depend on the installer. PMDG uses some .dll's that need updating and theirfore you will have to wait until PMDG releases the NGX to Steam. 

 

Only after PMDG (The Developer of this extraordinary Addon) have released their Update - Aerosoft - as well as anybody else - will be able to provide what you (and a lot of other people) are longing for.....

 

So keep an eye on this forum - because you will definately see a message, once this happens....

 

PS.: They have already released an Update for the PMDG777 to work in Steam and the PMDG 737NGX should be next...

 

kind regards

Share this post


Link to post
Share on other sites

I wrote to Aerosoft and they have said I would have to download from PMDG. They were told that PMDG would have to be the place where I purchased in order for me to go to My Account in order to download the said file/s. Now can you see why I keep pulling my hair out after I specifically told Aerosoft of the specific guidelines to obtain these updates?

Share this post


Link to post
Share on other sites

Hi Roger,  I too have the boxed 737 NGX from Aerosoft ( the 8 and 900 series ).  As Richard mentions we are all waiting for PMDG to issue a Steam compatible

 

update.  This is expected any day, although PMDG are very thorough and take their time before releasing anything which has not been thoroughly tested.

 

The good news is that the awaited release is expected to have weather radar installed ( using Active Sky technology ).  Because we have the boxed NGX we will

 

need info from PMDG on how to download the update.  The update will be issued by PMDG and not Aerosoft.  Hope you enjoy it when you finally get it.  There is a

 

saying all good things are worth waiting for.

 

Regards,

 

Brian

Share this post


Link to post
Share on other sites

Thanks a lot Brian. I f by chance I should miss the update, can you let me know how we can get these updates from PMDG if we hadn't got the originals from them please?

 

Cheers

 

 

Roger

Share this post


Link to post
Share on other sites

I read that the update for the PMDG 777 but I don't know if this is for the 200 or 300 series. I did installed the file "PMDG_777_200LRF_FSX" and The Operations Center and now whenever I increase throttle It only operates the left one and the spoilers operates at full automatically. Is there anyone having the same problem, and if so is there an update coming out for this?

 

 

Steve Buckner

Share this post


Link to post
Share on other sites

 

 


and if so is there an update coming out for this?

 

It would have to be a legitimate bug for a fix to come out for it. Are you absolutely sure you've eliminated all issues on your own end? Sounds more like a hardware configuration issue than a legitimate bug.

Share this post


Link to post
Share on other sites

I wrote to Aerosoft and they have said I would have to download from PMDG. They were told that PMDG would have to be the place where I purchased in order for me to go to My Account in order to download the said file/s. Now can you see why I keep pulling my hair out after I specifically told Aerosoft of the specific guidelines to obtain these updates?

 

Can somebody from PMDG clarify this?

 

It sounds from this (and I'm not saying that this is the way it actually is/will be) like Aerosoft is not planning on doing anything to support the update for Steam Edition. If you have to have purchased the download from PMDG to update, then the disk edition will not receive the update allowing for Steam compatibility.

Share this post


Link to post
Share on other sites

I find it terribly difficult to find a way to contact PMDG support with a ticket but just can't find it. All this might very well end up with me having a product boxed and ready for burial. Then purchase same from PMDG in order to get an update. What a farce!

Share this post


Link to post
Share on other sites

 

 


I find it terribly difficult to find a way to contact PMDG support with a ticket but just can't find it.

 

It's linked multiple times from our main site. It's literally the first result if you search "PMDG Support" on Google. If you manage to find the forum, then I wouldn't call making it to http://support.precisionmanuals.com/Main/Default.aspx that difficult.

 

 

 


All this might very well end up with me having a product boxed and ready for burial. Then purchase same from PMDG in order to get an update. What a farce!

 

Who said that's what was required? We surely didn't. I'd ask that you avoid casting aspersions before you fully understand what's going on.

Share this post


Link to post
Share on other sites

 

 


I'd ask that you avoid casting aspersions before you fully understand what's going on.
Good use of that word, sir!

Share this post


Link to post
Share on other sites

I seem to be picked on here. What I said in my last comment was my own version of what it might turn out to be. But if as you state I never mentioned anything about what was required, I don't think I ever mentioned that word for word...anywhere. No doubt you will find it and quote it back to me. You see the thing is this, all that I've said here is from what I've gathered with my searches.

 

Don't victimize me...please.

Share this post


Link to post
Share on other sites

 

 


Don't victimize me...please.

 

That wasn't my intention. However, as innocent as your post might be, someone could mistake what you'd written and assume that's what was required. Regardless of the hypothetical, ending with "what a farce" wasn't going to garner much positive attention.

 

It wasn't started off with the assertion that it's difficult to get to support, either. The site is pretty easy to get to and we have multiple guys working that queue at different times of day, so it shouldn't be difficult to get a response, either.

Share this post


Link to post
Share on other sites

Of course it wasn't difficult to find, it was just that I wasn't looking hard enough. Now I have found it and sent a ticket yesterday of which I got a reply early this morning.

 

Why do I have to explain my thoughts and actions to everything I say to you? "What a farce" was in relation to what I was up against. Not knowing what to do with a product I purchased and not knowing whether it was viable to get updates for same product once released. Putting a good unused product aside and repurchasing everything from Base to updated 600/700 from PMDG, so I could make it valid to acquire updates from where I purchased seemed the best thing to do in the circumstances. That was the only reason why I labeled what I had to do a farce.

 

If you want to know what PMDGs reply was, you'll have to....

Share this post


Link to post
Share on other sites

I know this is an old topic, but. was sp1c supposed to let me install the 737 in FSX:SE and FSX or only one or the other? I've messed with the install trying to get it into both versions of FSX with no success. I am ok with just installing it in Steam, but, thus far I am still stuck with it being an FSX only install. Any tips would be appreciated!

Share this post


Link to post
Share on other sites

SP1C came out in 2012. Long before Steam was a glint in anyone's eyeballs.

SP1D will be the install that will let one install to Steam, and it's not out yet.

Share this post


Link to post
Share on other sites

Just to clarify, (since I also *just* bought the 737NGX from Aerosoft):

 

- We register the product at PMDG, create an acct. etc.

- Whenever the update is out, we will be able to log in and download the update

 

More or less?

 

Share this post


Link to post
Share on other sites

Hi,

Sorry to "wake up" such an old theme, but I am facing problems with PMDG 737NGX for FSX:SE. Purchased the product from Aerosoft, followed the installation procedure using simconnect, but... installation crashes after some time. Most of the situations are related to controls lost, stop operating, black screens, etc. Made some Google research and it seams that recent update for the installer 1d will be the proper solution. The question here is how to get it? This is not a product purchased directly from PMDG and they refuse registering it, which unfortunately is logical.

Any ideas?

Share this post


Link to post
Share on other sites

he question here is how to get it? This is not a product purchased directly from PMDG and they refuse registering it, which unfortunately is logical.

 

Why would  it be logical since  if  i bought  some  thing  from  x   and  than went  to y   and  ask  to  update  it, what  would  would  the answer  be,  go  to x.    So  the  answer  is   you need  to go  to  aerosoft with your  details  of  purchase  and  there  is  a update   page   where   you can fill in the details   and  be  presented with the download . You  need  to uninstall the previous  version  of  your  ngx  and  than install   the  sp1d  since it  is  a full install exe.  

 

You need  to place  your  full name  to your  posts as per the forum  rules

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this